> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook endpoints

> Lists all webhook subscriptions of the organization. No query parameters accepted.



## OpenAPI

````yaml get /webhook-endpoints/
openapi: 3.0.0
info:
  version: 1.0.0
  title: Integrations
  description: >-
    To make any API request you have to use (secret, integration_id) given by
    the organization. <br>
servers:
  - url: https://api-alpha.fourvenues.com/integrations
    description: Alpha
  - url: https://api.fourvenues.com/integrations
    description: Production
security:
  - integration_id: []
    secret: []
    xApiKey: []
tags:
  - name: Events
  - name: Bookings
  - name: Bookings Events
  - name: Channels
  - name: Clients
  - name: Lists
  - name: Passes
  - name: Subscriptions
  - name: Tickets
  - name: Discount Codes
  - name: TicketsRates
  - name: Users
  - name: Payments
  - name: Refunds
  - name: Wallet Movement
  - name: External Payments
  - name: Invoicing
  - name: Passes v2
  - name: Webhook Endpoints
  - name: Webhook Deliveries
paths:
  /webhook-endpoints/:
    get:
      tags:
        - Webhook Endpoints
      description: >-
        Lists all webhook subscriptions of the organization. No query parameters
        accepted.
      responses:
        '200':
          description: HTTP OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/WebhookEndpoints'
                xml:
                  name: main
            application/xml:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/WebhookEndpoints'
                xml:
                  name: main
        '400':
          description: Bad request
        '401':
          description: HTTP Unauthorized
        '403':
          description: HTTP Forbidden
        '500':
          description: HTTP Internal Server Error
components:
  schemas:
    WebhookEndpoints:
      description: Array of Webhook Endpoint
      items:
        $ref: '#/components/schemas/WebhookEndpoint'
      type: array
    WebhookEndpoint:
      properties:
        id:
          description: Unique ID of the webhook endpoint.
          example: we_4gr63f00xkq01i1d8jh5ohuzaZhvoE
          type: string
        name:
          description: Name of the webhook endpoint.
          example: Production endpoint
          type: string
        url:
          description: HTTPS destination URL of the webhook endpoint.
          example: https://example.com/webhooks/fourvenues
          type: string
        events:
          description: Event types the endpoint is subscribed to.
          example:
            - ticket.sold
            - booking.created
          items:
            type: string
            enum:
              - ticket.sold
              - ticket.refunded
              - ticket.cancelled
              - ticket.created
              - payment.completed
              - booking.created
              - booking.changed
              - booking.cancelled
              - booking.payment_received
          type: array
        status:
          description: Current status of the webhook endpoint.
          example: active
          type: string
          enum:
            - active
            - disabled
        disabled_at:
          description: >-
            Timestamp when the endpoint was auto-disabled. Absent when status is
            active.
          example: '2026-08-12T10:15:30.000Z'
          type: string
        disabled_reason:
          description: >-
            Reason why the endpoint was auto-disabled. Absent when status is
            active.
          example: max_retries_exceeded
          type: string
      type: object
  securitySchemes:
    integration_id:
      type: apiKey
      in: header
      name: integration_id
      description: Identifier of the integration (Auth v1)
    secret:
      type: apiKey
      in: header
      name: secret
      description: Secret of the organization (Auth v1)
    xApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key (Auth v2)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.